# Uncertainty Quantification Python Laboratory <br> (UQPyL)

**UQPyL:** The **Uncertainty Quantification Python Laboratory** provide a comprehensive workflow for parameter **uncertainty quantification** and **optimization** in computational numerical simulations. **UQPyL** offers an extensive suite of advanced methodologies(Sobol', Delta Test, EFAST, et al.) and algorithms (NSGA-II, ASMO, MO-ASMO, et al.). In summary, UQPyL consists of four core modules: 
- Design of Experiments (DoE) 
- Sensibility Analysis 
- Optimization
- Surrogate models

The surrogate models Module can help to solve computational expensive problems caused by intensive numerical simulations.**

Once you have clearly defined the problem you aim to address, you can employ all pre-prepared methods and algorithms to complete following task:
* Uncertainty Quantification (UQ)
* Parameter Optimization

Moreover, the versatility of UQPyL allows researchers to craft their own methods or algorithms by incorporating its diverse range of surrogate models. Consequently, users can:
- Evaluate the effectiveness of their custom-designed algorithms
- Compare different methods and algorithms under specific problem scenarios

  **Website:** http://www.uq-pyl.com/ (**#TODO** it need to update now.) <br>
  **Source Code:** https://github.com/smasky/UQPyL/ <br> 
  **Documentation:** **#TODO** <br>
  **Citing in your work:** **#TODO** <br>

# Installation

` pip install UQPyL ` (Recommend)

or

` git clone https://github.com/smasky/UQPyL.git `

` cd UQPyL` and ` pip install . `


# Call for Contributions
We appreciate and welcome contributions. Because, we only set up standard workflows here. More advanced quantification methods and optimization algorithms are waited for pulling to this project.

---
# Contact:

wmtSky, <wmtsky@hhu.edu.cn> 





